h1,h2,h3,h4,h5,h6 {
    line-height: 1.4;
}
p {
    margin: 0;
}
.text-nowrap {
    white-space: nowrap;
}
.text-ellipsis,
.text-nowrap-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.dt-text-ellipsis {
    max-width: 320px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.table th {
    text-transform: none;
    font-size: 0.95rem;
}
.dataTables_wrapper .dataTables_filter {
    margin-bottom: 0 !important;
}
.table.dataTable > tbody {
    border-top: 0 !important;
}
.table.dataTable > tbody > tr,
.table.dataTable > tbody > tr > td {
    border-left: 0 !important;
}
.table-detail tr, .table-detail th, .table-detail td,
div.dt-scroll-body .table-detail tr,
div.dt-scroll-body .table-detail th,
div.dt-scroll-body .table-detail td{
    border-color: #e5e7eb !important;
}
div.dt-scroll-body .table-detail th{
    padding: 0.325rem 0.5rem !important;
}
.border-dashed {
    border-style: dashed !important;
}
.pace .pace-progress {
    background: var(--primary-color) !important;
}
.light-style .menu .app-brand {
    height: 64px;
}
.dark-style .menu .app-brand {
    height: 64px;
}
.app-brand-logo {
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -ms-flexbox;
    display: flex;
    width: 30px;
    height: 30px;
}
.app-brand-logo svg {
    width: 1.7rem;
    height: 1.7rem;
}
.app-brand-text {
    font-size: 1.75rem;
    letter-spacing: -0.45px;
}
.alert-info {
    color: var(--body-text-color);
}
.bg-menu-theme .menu-sub>.menu-item>.menu-link:before {
    all: unset;
}
.menu-vertical .menu-inner>.menu-item {
    margin-top: 0.1rem;
    margin-bottom: 0.1rem;
}
.menu-header {
    padding-bottom: 0 !important;
}
.menu-item .menu-toggle,
.menu-item .menu-link,
.menu-block {
    padding-top: 0.425rem !important;
    padding-bottom: 0.425rem !important;
}
.menu-icon {
    line-height: 1 !important;
    font-size: 1.15rem;
}
.menu-vertical .menu-inner .menu-sub>.menu-item.active .menu-icon,
.menu-vertical .menu-inner .menu-sub>.menu-item.open .menu-icon {
    color: #fff;
}
.layout-navbar .search-toggler {
    display: flex;
    gap: 5px;
}
.menu-vertical .menu-sub .menu-link {
    padding-left: 2rem;
}
.layout-navbar {
    background: #fff;
}
.layout-navbar.navbar-elevated {
    background: #fff !important;
}
.layout-navbar .navbar-dropdown.dropdown-user>a.nav-link {
    padding-top: 3px;
    padding-bottom: 3px;
}
.nav-link.disabled {
    opacity: 0.6;
}
.nav-tab-detail .nav-link {
    transition: 0.3s ease-in-out;
}
.nav-tab-detail .nav-link:hover {
    color: var(--primary-color) !important;
}
.input-group.focused .form-control,
.input-group.focused .input-group-text {
    border-color: var(--primary-color);
}
.input-group.is-invalid .input-group-text {
    border-color: #ff5b5c !important;
}
html:not([dir=rtl]) .bootstrap-select .dropdown-toggle {
    padding: 0.282rem 1.375rem 0.282rem 0.75rem;
}
html:not([dir=rtl]) .bootstrap-select .dropdown-toggle:after {
    top: 45%;
}
html:not([dir=rtl]) .bootstrap-select.form-control-sm .dropdown-toggle {
    padding: 0.244rem 0.5rem;
}
.input-group-sm + .input-group-text,
.form-control-sm + .input-group-text {
    min-height: calc(1.4em + 0.338rem + 1px);
    padding: .169rem .6rem;
    font-size: 0.82rem;
}
.form-check-input {
    margin-top: 0.1rem;
}
.form-check-input[type="radio"] {
    margin-top: 0.1rem;
}
.input-group .form-check-input {
    margin-top: 0.15rem;
}
.input-group .form-check-label {
    margin-top: 0.1rem;
}
.form-control .form-check-input[type="checkbox"] {
    margin-top: 0;
}
.form-control .form-check-input[type="radio"] {
    margin-top: 0.05rem;
}
.input-group-text .form-check-input[type="checkbox"] {
    margin-top: 0.12rem;
}
.input-group-text .form-check-input[type="radio"] {
    margin-top: 0.1rem;
}
.form-choice {
    border: 1px solid transparent;
    margin-bottom: 0;
    padding: 0.25rem;
    display: flex;
    gap: 0.55rem;
    align-items: center;
}
[type=checkbox],
[type=radio],
[type=checkbox]:focus,
[type=radio]:focus {
    color: var(--primary-color) !important;
}
.bootstrap-select .dropdown-toggle.show,
.select2-search--dropdown .select2-search__field:focus {
    border-color: #2E5DD2 !important;
}
.select2-search--dropdown .select2-search__field {
    font-size: 0.92rem;
    padding: 1px 4px;
    border-radius: .1rem !important;
    box-shadow: none;
}
.bootstrap-select .filter-option-inner-inner {
    margin-right: 0.25rem;
}
.light-style .select2-container--default .select2-results__option {
    padding: 0.313rem 0.735rem;
}
.light-style .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 30px;
    padding-right: 1.8rem !important;
    color: #475f7b;
}
.light-style .select2-container--default .select2-selection--single .select2-selection__clear {
    height: 30px;
}
.light-style .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 30px;
    width: 1.8rem
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    height: 10px;
    width: 15px;
    top: 32%;
    background-size: 15px 10px;
}
.light-style .select2-container--default .select2-selection--single {
    height: 32px;
}
.light-style .select2-container--default .select2-selection--multiple {
    min-height: 32px;
}
.light-style .select2-selection--multiple .select2-selection__rendered {
    padding: 0 0.6rem 0.2rem 0.6rem;
}
.light-style .select2-selection--multiple .select2-selection__choice {
    margin-top: 0.2rem;
    padding-left: 0.25rem;
    /* font-weight: bold; */
    font-size: 0.93rem;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 27px;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__clear,
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__arrow,
.light-style .form-control-sm+.select2-container--default .select2-selection--single {
    height: 27px;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__clear {
    line-height: 25px;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--multiple {
    min-height: 27px;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__arrow {
    width: 1.5rem;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__arrow b {
    background-size: 10px;
    width: 11px;
    top: 28%;
}
.light-style .form-control-sm+.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 1.75rem;
    font-size: 0.92rem;
}
.light-style .select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #5a8dee;
}
.light-style .select-primary+.select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #fff;
    background-color: #5a8dee;
}
.select2-container--default .select2-selection--multiple .select2-search__field {
    margin-top: 3px;
}
.light-style .select2-selection--multiple .select2-selection__clear {
    margin-top: 3px;
}
.light-style select:disabled + .select2-container .select2-selection--multiple .select2-selection__clear {
    display: none;
}
.light-style .input-group .select2-container--default .select2-selection--single {
    border-radius: 0 var(--bs-border-radius) var(--bs-border-radius) 0;
}
.light-style .input-group.input-group-merge .select2-container--default .select2-selection--single {
    border-left: 0;
}
.light-style .input-group-bottom + .select2-container--default .select2-selection--single {
    border-bottom: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
.light-style .input-group:focus-within .input-group-text,
.light-style .input-group:focus-within .select2-container--default .select2-selection--single {
    border-color: var(--primary-color) !important;
}
select[readonly].select2-hidden-accessible+.select2-container {
    pointer-events: none;
    touch-action: none;
}
select[readonly].select2-hidden-accessible+.select2-container .select2-selection {
    background: #F8F8F8;
    box-shadow: none;
}
select[readonly].select2-hidden-accessible+.select2-container .select2-selection__arrow,
select[readonly].select2-hidden-accessible+.select2-container .select2-selection__clear {
    display: none;
}
.select2-container--default .select2-results__option[aria-selected="true"] {
    color: var(--primary-color) !important;
    background: var(--primary-light-color)
}
.switch {
    cursor: pointer !important;
}
.switch .switch-toggle-slider {
    cursor: pointer !important;
}
.switch .switch-toggle-slider {
    box-shadow: none !important;
}
.daterangepicker select.monthselect,
.daterangepicker select.yearselect{
    padding-right: 0.8rem;
    background-position: right -0.10rem center;
    background-size: 1em 1em;
}
.daterangepicker.show-calendar {
    font-size: 0.8375rem !important;
}
.daterangepicker .calendar-table .next,
.daterangepicker .calendar-table .prev {
    border-radius: 0.22rem;
}
.light-style .daterangepicker select.hourselect,
.light-style .daterangepicker select.minuteselect,
.light-style .daterangepicker select.secondselect,
.light-style .daterangepicker select.ampmselect {
    line-height: 1.4;
}
.bootstrap-datetimepicker-widget table th {
    padding: 0.22rem 0;
    border-color: transparent !important;
}
.bootstrap-datetimepicker-widget table th i{
    width: 1.5rem;
    height: 1.5rem;
    font-size: 1.5rem;
    line-height: calc(1.5rem - 2px);
    border: 1px solid var(--primary-color);
    border-radius: 0.22rem;
}
.date-picker[readonly],
.date-range-picker[readonly],
.date-picker[readonly] + .input-group-text,
.date-range-picker[readonly] + .input-group-text{
    background: #fff !important;
}
.btn.btn-xs.dropdown-toggle:after {
    margin-top: -1px;
}
.badge-button {
    position: absolute !important;
    top: -6px !important;
    right: -4px;
    padding: .05rem .2rem;
    border-radius: 50rem;
    font-size: .6rem;
    line-height: .7rem;
}
.bootstrap-select .dropdown-menu.inner a[aria-selected=true],
.dropdown-item:not(.disabled).active,
.dropdown-item:not(.disabled):active {
    color: #5a8dee !important;
}
.light-style .bootstrap-select .dropdown-item,
.light-style .bootstrap-select .filter-option-inner-inner,
.light-style .select2-container--default .select2-results__option--highlighted[aria-selected] {
    color: #222;
}
.dropdown-menu .dropdown-item i.bx {
    font-size: 1.1rem;
    top: 3px;
    position: relative;
}
.highlighted {
    margin: 0;
    padding: 0;
    background: rgb(255, 192, 105);
}
.badge {
    font-weight: bold;
    font-size: 12px;
}
.badge.bg-success .highlighted {
    background: none;
    color: #fff;
}
.switch {
    user-select: none;
}
.switch .switch-toggle-slider i {
    top: 2px !important;
}
.switch-label {
    cursor: pointer !important;
}
.switch-blue.switch .switch-input:checked~.switch-toggle-slider {
    background: #5a8dee;
}
/* Loading Screen */
.custom-loading-screen>div.loading-container {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.custom-loading-screen {
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9991;
}
.required {
    color: #ff5b5c;
}
.invalid-feedback:not(.fv-plugins-message-container) {
    font-size: 0.65rem;
    margin-top: 0;
    margin-bottom: -15px;
}
.invalid-feedback.fv-plugins-message-container {
    margin-top: 0;
}
.invalid-feedback.fv-plugins-message-container > div {
    font-size: 0.65rem;
    margin-bottom: -15px;
}
.table-form {
    width: 100%;
}
.table-no-border tr,
.table-no-border tr th,
.table-no-border tr td {
    border-color: transparent;
}
.table-form:not(.bordered) tr td {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 1.25rem;
    vertical-align: top;
}
.table-form:not(.bordered) tbody>tr:last-child>td {
    padding-bottom: 0 !important;
}
.table-form:not(.bordered) .invalid-feedback {
    position: absolute;
    font-size: 0.7rem;
    margin-top: 0;
}
.table-form:not(.bordered) tbody>tr:last-child>td {
    padding-bottom: 0 !important;
}
.table-form.striped>tr:nth-of-type(odd),
.table-form.striped>tbody>tr:nth-of-type(odd) {
    background-color: #fafbfb;
}
.table-form.bordered tr th {
    background-color: #F3F4F6;
}
.table-form.bordered tr th,
.table-form.bordered tr td {
    border: 1px solid #dfe3e7;
    padding: 4px 10px;
}
label {
    color: #475f7b;
}
.table td,
.table th {
    padding: 0.325rem 0.5rem;
}
div.dataTables_wrapper div.dataTables_length,
div.dataTables_wrapper div.dataTables_filter {
    margin-top: 0rem;
    margin-bottom: 0.75rem;
}
table tr.dt-hasChild.selected,
table tr.dt-hasChild.selected .dtfc-fixed-left,
table tr.dt-hasChild.selected .dtfc-fixed-right {
    background: #1B72FD !important;
}
.ro-item .ro-item-body{
    opacity: 0.5;
}
.ro-item.received .ro-item-body,
.ro-item.selected .ro-item-body {
    opacity: 1;
}
.ro-item.received {
    border: 1px solid var(--success-color) !important;
}
.ro-item.received .ro-item-header {
    background: var(--success-light-color) !important;
}
.ro-item.selected {
    border: 1px solid var(--primary-color) !important;
}
.ro-item.selected .ro-item-header {
    background: var(--primary-light-color) !important;
}
.vertical-form-row {
    margin-bottom: 0.7rem;
}
.vertical-form-row label {
    font-size: 0.9rem;
    margin-bottom: 0.15rem;
}
.form-control:focus {
    color: #000;
}
.form-control:disabled + .input-group-text {
    background: #e9ecee;
}
textarea.form-control[rows="1"] {
    min-height: 31px;
}
.form-control[readonly] + .input-group-text,
.form-control[readonly] {
    background: #f8f8f8;
}
.tagify.form-control {
    padding-top: 3px;
    padding-bottom: 3px;
}
.tagify__tag,
.tagify__input {
    margin-top: 0 !important;
    color: #475f7b !important;
}
.tagify__tag .tagify__tag-text {
    color: #475f7b !important;
}
/* DataTable Fixed Column Default style */
table.dataTable thead tr>.dtfc-fixed-left,
table.dataTable thead tr>.dtfc-fixed-right,
table.dataTable tfoot tr>.dtfc-fixed-left,
table.dataTable tfoot tr>.dtfc-fixed-right {
    top: 0;
    bottom: 0;
    z-index: 3;
    background-color: white
}
table.dataTable tbody tr>.dtfc-fixed-left,
table.dataTable tbody tr>.dtfc-fixed-right {
    z-index: 1;
    background-color: white
}
div.dtfc-left-top-blocker,
div.dtfc-right-top-blocker {
    background-color: white
}
div.dtfc-right-top-blocker,
div.dtfc-left-top-blocker {
    margin-top: 6px;
    border-bottom: 0px solid #ddd !important
}
table.dataTable.table-bordered.dtfc-has-left {
    border-left: none
}
div.dataTables_scroll.dtfc-has-left table.table-bordered {
    border-left: none
}
div.dataTables_scrollBody {
    /* border-left: 1px solid #ddd !important; */
    border-left: none !important;
}
div.dataTables_scrollFootInner table.table-bordered tr th:first-child,
div.dataTables_scrollHeadInner table.table-bordered tr th:first-child {
    border-left: 1px solid #ddd !important
}
.ant-table-body,
div.dataTables_scrollBody,
.custom-scrollbar {
    scrollbar-width: thin;
    scrollbar-color: #cccece #f1f1f1;
}
.dataTables_scroll {
    margin-bottom: 0;
}

/* DataTable Fixed Column Default style */
table.dtfc-scrolling-end tr > .dtfc-fixed-end:not(.dtfc-fixed-end + .dtfc-fixed-end)::before {
    content: '';
    width: 10px;
    height: 100%;
    position: absolute;
    left: -10px;
    top: 0;
    background: linear-gradient(90deg,rgba(200, 200, 200, 0) 0%, rgba(200, 200, 200, 0.35) 90%, rgba(212, 216, 221, 1) 100%);
}
table.dtfc-scrolling-start tr > .dtfc-fixed-start:not(:has(+ .dtfc-fixed-start))::after {
    content: '';
    width: 10px;
    height: 100%;
    position: absolute;
    right: -10px;
    top: 0;
    background: linear-gradient(90deg,rgba(212, 216, 221, 1) 0%,rgba(200, 200, 200, 0.35) 10%, rgba(200, 200, 200, 0) 100%);
}
table.dataTable thead .sorting_disabled.sorting_asc:before,
table.dataTable thead .sorting_disabled.sorting_asc:after {
    content: '' !important;
}
.avatar.avatar-profile {
    width: 2.175rem;
    height: 2.175rem;
}
.offcanvas-top.ft-offcanvas-top,
.offcanvas-bottom.ft-offcanvas-bottom {
    height: 100vh;
}
.offcanvas-top.ft-offcanvas-top .offcanvas-body,
.offcanvas-bottom.ft-offcanvas-bottom .offcanvas-body,
.offcanvas-start.ft-offcanvas-start .offcanvas-body,
.offcanvas-end.ft-offcanvas-end .offcanvas-body {
    height: calc(100vh - 3.5rem);
}
.offcanvas.offcanvas-start,
.offcanvas.offcanvas-end {
    width: 500px;
}
.offcanvas-footer {
    padding: var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);
}
table.table-no-wrap th,
table.table-no-wrap td {
    white-space: nowrap !important;
}
table.dataTable.table-striped>tbody>tr.selected>* {
    box-shadow: inset 0 0 0 9999px rgba(90, 141, 238, 1) !important;
}
.dataTable tr.selected i.bx,
.dataTable tr.selected i.bi,
.dataTable tr.selected .bx-edit-alt {
    color: #fff;
}
.dataTable {
    width: 100% !important;
}
table.dataTable thead>tr>th.sorting,
table.dataTable thead>tr>th.sorting_asc,
table.dataTable thead>tr>th.sorting_desc,
table.dataTable thead>tr>th.sorting_asc_disabled,
table.dataTable thead>tr>th.sorting_desc_disabled,
table.dataTable thead>tr>td.sorting,
table.dataTable thead>tr>td.sorting_asc,
table.dataTable thead>tr>td.sorting_desc,
table.dataTable thead>tr>td.sorting_asc_disabled,
table.dataTable thead>tr>td.sorting_desc_disabled {
    padding-top: 0.5rem;
    padding-right: 0.8rem;
    padding-left: 0.8rem;
}
table.dataTable thead>tr>th.sorting:before,
table.dataTable thead>tr>th.sorting_asc:before,
table.dataTable thead>tr>th.sorting_desc:before,
table.dataTable thead>tr>th.sorting_asc_disabled:before,
table.dataTable thead>tr>th.sorting_desc_disabled:before,
table.dataTable thead>tr>td.sorting:before,
table.dataTable thead>tr>td.sorting_asc:before,
table.dataTable thead>tr>td.sorting_desc:before,
table.dataTable thead>tr>td.sorting_asc_disabled:before,
table.dataTable thead>tr>td.sorting_desc_disabled:before {
    content: "" !important;
    top: 10% !important;
}
table.dataTable thead>tr>th.sorting:after,
table.dataTable thead>tr>th.sorting_asc:after,
table.dataTable thead>tr>th.sorting_desc:after,
table.dataTable thead>tr>th.sorting_asc_disabled:after,
table.dataTable thead>tr>th.sorting_desc_disabled:after,
table.dataTable thead>tr>td.sorting:after,
table.dataTable thead>tr>td.sorting_asc:after,
table.dataTable thead>tr>td.sorting_desc:after,
table.dataTable thead>tr>td.sorting_asc_disabled:after,
table.dataTable thead>tr>td.sorting_desc_disabled:after {
    content: "" !important;
    top: 30% !important;
}
table.dataTable thead .sorting::before,
table.dataTable thead .sorting::after,
table.dataTable thead .sorting_asc::before,
table.dataTable thead .sorting_asc::after,
table.dataTable thead .sorting_desc::before,
table.dataTable thead .sorting_desc::after,
table.dataTable thead .sorting_asc_disabled::before,
table.dataTable thead .sorting_asc_disabled::after,
table.dataTable thead .sorting_desc_disabled::before,
table.dataTable thead .sorting_desc_disabled::after {
    font-family: boxicons !important;
    font-size: 0.8rem !important;
    right: 2% !important;
    width: 10px;
    height: 10px;
}
div.dataTables_processing {
    z-index: 2;
    padding-top: 1rem;
}
.dt-paging .pagination .page-item:not(.active) .page-link {
    padding-top: 0.407rem !important;
    padding-bottom: 0.407rem !important;
}
.dt-paging .pagination .page-item.active .page-link {
    padding-top: 0.532rem !important;
    padding-bottom: 0.532rem !important;
    min-width: calc(2rem + 0px) !important;
}
/* .dt-paging .pagination .page-item .page-link.first i.bi,
.dt-paging .pagination .page-item .page-link.previous i.bi,
.dt-paging .pagination .page-item .page-link.next i.bi,
.dt-paging .pagination .page-item .page-link.last i.bi {
    font-size: 14px;
} */
div.dataTables_wrapper div.dataTables_info {
    padding-top: 0.55em;
}
div.dataTables_processing>div:last-child>div {
    background-color: var(--primary-color);
}
.shadow-sm-top {
    box-shadow: 0 -0.125rem 0.25rem rgba(147, 158, 170, .4) !important;
}
.btn-xs .bx {
    position: relative;
    top: 1px
}
.text-blue {
    color: #5a8dee;
}
.bg-blue {
    background: #5a8dee;
}
.ant-btn,
.form-control {
    font-family: var(--bs-body-font-family);
}
.ant-btn-primary{
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    color: #fff;
}
.ant-btn-primary:focus,
.ant-btn-primary:hover{
    background-color: var(--primary-hover-color) !important;
    border-color: var(--primary-hover-color);
}
.btn-blue {
    color: #fff;
    background-color: #5a8dee;
    border-color: #5a8dee;
    box-shadow: 0 .125rem .25rem rgba(147, 158, 170, .4)
}
.btn-blue:hover {
    color: #fff !important;
    background-color: #7ba4f1 !important;
    border-color: #7ba4f1 !important;
    box-shadow: 0 .25rem 1rem rgba(147, 158, 170, .45) !important
}
.btn-check:focus+.btn-blue,
.btn-blue:focus,
.btn-blue.focus {
    color: #fff;
    background-color: #4d78ca;
    border-color: #4d78ca;
    box-shadow: none
}
.btn-check:checked+.btn-blue,
.btn-check:active+.btn-blue,
.btn-blue:active,
.btn-blue.active,
.btn-blue.show.dropdown-toggle,
.show>.btn-blue.dropdown-toggle {
    color: #fff !important;
    background-color: #4d78ca !important;
    border-color: #4d78ca !important
}
.btn-check:checked+.btn-blue:focus,
.btn-check:active+.btn-blue:focus,
.btn-blue:active:focus,
.btn-blue.active:focus,
.btn-blue.show.dropdown-toggle:focus,
.show>.btn-blue.dropdown-toggle:focus {
    box-shadow: none
}
.btn-blue.disabled,
.btn-blue:disabled {
    color: #fff !important;
    background-color: #5a8dee !important;
    border-color: #5a8dee !important;
    box-shadow: none !important
}
.shepherd-element .shepherd-button:not(:disabled).btn-blue {
    color: #fff;
    background-color: #5a8dee;
    border-color: #5a8dee;
    box-shadow: 0 .125rem .25rem rgba(147, 158, 170, .4)
}
.shepherd-element .shepherd-button:not(:disabled).btn-blue:hover {
    color: #fff !important;
    background-color: #7ba4f1 !important;
    border-color: #7ba4f1 !important;
    box-shadow: 0 .25rem 1rem rgba(147, 158, 170, .45) !important
}
.btn-check:focus+.shepherd-element .shepherd-button:not(:disabled).btn-blue,
.shepherd-element .shepherd-button:not(:disabled).btn-blue:focus,
.shepherd-element .shepherd-button:not(:disabled).btn-blue.focus {
    color: #fff;
    background-color: #4d78ca;
    border-color: #4d78ca;
    box-shadow: none
}
.btn-check:checked+.shepherd-element .shepherd-button:not(:disabled).btn-blue,
.btn-check:active+.shepherd-element .shepherd-button:not(:disabled).btn-blue,
.shepherd-element .shepherd-button:not(:disabled).btn-blue:active,
.shepherd-element .shepherd-button:not(:disabled).btn-blue.active,
.shepherd-element .shepherd-button:not(:disabled).btn-blue.show.dropdown-toggle,
.show>.shepherd-element .shepherd-button:not(:disabled).btn-blue.dropdown-toggle {
    color: #fff !important;
    background-color: #4d78ca !important;
    border-color: #4d78ca !important
}
.btn-check:checked+.shepherd-element .shepherd-button:not(:disabled).btn-blue:focus,
.btn-check:active+.shepherd-element .shepherd-button:not(:disabled).btn-blue:focus,
.shepherd-element .shepherd-button:not(:disabled).btn-blue:active:focus,
.shepherd-element .shepherd-button:not(:disabled).btn-blue.active:focus,
.shepherd-element .shepherd-button:not(:disabled).btn-blue.show.dropdown-toggle:focus,
.show>.shepherd-element .shepherd-button:not(:disabled).btn-blue.dropdown-toggle:focus {
    box-shadow: none
}
.shepherd-element .shepherd-button:not(:disabled).btn-blue.disabled,
.shepherd-element .shepherd-button:not(:disabled).btn-blue:disabled {
    color: #fff !important;
    background-color: #5a8dee !important;
    border-color: #5a8dee !important;
    box-shadow: none !important
}
.btn-outline-blue {
    color: #5a8dee;
    border-color: #5a8dee;
    background: rgba(0, 0, 0, 0)
}
.btn-outline-blue:hover {
    color: #fff !important;
    background-color: #5a8dee !important;
    border-color: #5a8dee !important
}
.btn-check:focus+.btn-outline-blue,
.btn-outline-blue:focus {
    color: #fff;
    background-color: #4d78ca;
    border-color: #4d78ca;
    box-shadow: none
}
.btn-check:checked+.btn-outline-blue,
.btn-check:active+.btn-outline-blue,
.btn-outline-blue:active,
.btn-outline-blue.active,
.btn-outline-blue.dropdown-toggle.show {
    color: #fff !important;
    background-color: #4d78ca !important;
    border-color: #4d78ca !important
}
.btn-check:checked+.btn-outline-blue:focus,
.btn-check:active+.btn-outline-blue:focus,
.btn-outline-blue:active:focus,
.btn-outline-blue.active:focus,
.btn-outline-blue.dropdown-toggle.show:focus {
    box-shadow: none
}
.btn-outline-blue.disabled,
.btn-outline-blue:disabled {
    color: #5a8dee !important;
    background-color: rgba(0, 0, 0, 0) !important
}
.btn-outline-blue .badge {
    background: #5a8dee;
    border-color: #5a8dee;
    color: #fff
}
.btn-outline-blue:hover .badge,
.btn-outline-blue:focus:hover .badge,
.btn-outline-blue:active .badge,
.btn-outline-blue.active .badge,
.show>.btn-outline-blue.dropdown-toggle .badge {
    background: #fff;
    border-color: #fff;
    color: #5a8dee
}
.btn-lg .bx{
    position: relative;
    font-size: 1.15rem !important;
    top: 2px;
}
.btn-label-blue {
    color: #5a8dee;
    border-color: rgba(0, 0, 0, 0);
    background: #e5edfc
}
.btn-label-blue:hover {
    border-color: rgba(0, 0, 0, 0) !important;
    background: #5a8dee !important;
    color: #fff !important
}
.btn-label-blue:focus,
.btn-label-blue.focus {
    color: #fff;
    background: #4d78ca;
    box-shadow: none !important
}
.btn-label-blue:active,
.btn-label-blue.active,
.btn-label-blue.show.dropdown-toggle,
.show>.btn-label-blue.dropdown-toggle {
    color: #fff !important;
    background-color: #4d78ca !important;
    border-color: rgba(0, 0, 0, 0) !important
}
.btn-label-blue:active:focus,
.btn-label-blue.active:focus,
.btn-label-blue.show.dropdown-toggle:focus,
.show>.btn-label-blue.dropdown-toggle:focus {
    box-shadow: none
}
.btn-label-blue.disabled,
.btn-label-blue:disabled {
    color: #5a8dee !important;
    border-color: rgba(0, 0, 0, 0) !important;
    background: #e5edfc !important;
    box-shadow: none !important
}
.chb-tr-label {
    cursor: pointer;
}
.form-check-primary {
    user-select: none;
}
div:where(.swal2-container) h2:where(.swal2-title) {
    font-size: 1.575em !important;
}
.swal2-container {
    z-index: 20000 !important;
}
.swal2-html-container .validation-invalid li {
    color: red;
    font-size: 0.9rem;
    list-style: disc;
    text-align: left;
}
.card .card-header {
    flex-wrap: wrap;
}
.card.card-hover {
    border: 1px solid #fff;
    transition: 0.2s ease-in-out
}
.card.card-hover:hover {
    border-color: var(--primary-color) !important;
    /* transition: 0.2s ease-in-out */
}
.card.card-hover:hover .card-header h1,
.card.card-hover:hover .card-header h2,
.card.card-hover:hover .card-header h3,
.card.card-hover:hover .card-header h4,
.card.card-hover:hover .card-header h5,
.card.card-hover:hover .card-header h6,
.card.card-hover:hover .card-header {
    color: var(--primary-color);
    transition: 0.2s ease-in-out
}
.card .card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}
.card .card-title {
    text-transform: uppercase;
}
.card .card-title .bx {
    position: relative;
    top: 2px;
    font-size: 1.2rem;
}
.card .card-loading .sk-grid .sk-grid-cube {
    background-color: var(--primary-color);
}
.dt-expandable-loading .sk-grid{
    width: 32px;
    height: 32px;
}
.dt-expandable-loading .sk-grid .sk-grid-cube{
    background-color: var(--primary-color) !important;
}
.dt-hasChild + tr > th,
.dt-hasChild + tr > td{
    border-left: none;
}
.dt-hasChild + tr > td {
    padding: 10px;
    box-shadow: 0 0 .35rem rgba(147,158,170,.4) inset !important;
}
.dt-hasChild + tr:hover > td {
    background: white;
}
.table-stock-related {
    min-width: 65%;
}
.table-stock-related th,
.table-stock-related td{
    border-color: #d4d8dd;
}
.table-stock-related th{
    padding: 0.15rem 0.5rem;
    background: #F3F4F6;
}
/* Image Cropping */
.image-preview {
    width: 200px;
    height: 200px;
    margin: 0 auto;
    cursor: pointer;
    border: 1px solid #f1f1f1;
}
.cr-overlay {
    border: 1px solid #f1f1f1;
}
.sticky-wrapper.is-sticky .card-header.sticky-element {
    box-shadow: 0 .125rem .25rem rgba(147, 158, 170, .4) !important;
    background: #fff;
}
.tooltip-text {
    font-size: 0.75rem;
}
.tooltip-list {
    padding-left: 10px;
    margin-bottom: 0;
}
.tooltip-list li{
    list-style: none;
    position: relative;
    font-size: 0.75rem;
}
.tooltip-list li::before{
    content: '';
    position: absolute;
    background: #fff;
    left: -9px;
    top: 8px;
    width: 5px;
    height: 5px;
    border-radius: 50%;

}
.product-barcode-print {
    width: 5cm;
    padding: 10px;
    text-align: center;
    border-radius: 0.22rem;
    border: 1px solid #000;
    color: #000;
}
.product-barcode-print .label .name {
    text-wrap: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 13px;
}
.layout-navbar .navbar-dropdown.dropdown-notifications .dropdown-notifications-list .dropdown-notifications-item {
    padding: 0.6rem;
    cursor: default;
}
.layout-navbar .navbar-dropdown.dropdown-notifications .dropdown-notifications-list .dropdown-notifications-item > a{
    display: block;
}
.layout-navbar .navbar-dropdown.dropdown-notifications .dropdown-notifications-list .dropdown-notifications-item p{
    font-size: 13px;
    text-wrap: nowrap;
    max-width: 26rem;
    overflow: hidden;
    text-overflow: ellipsis;
}
.dropdown-notifications-list .ps__rail-y {
    z-index: 9;
}
.navbar-search-suggestion {
    padding: 0 0.5rem !important;
    max-height: calc(100vh - 60px) !important;
}
.search-product-item-list {
    display: flex;
    gap: .5rem;
    border-radius: var(--bs-border-radius);
    box-shadow: 0 .125rem .25rem rgba(147,158,170,.4);
    background: #fff;
    border: 2px solid #fff;
    background: #fff;
    padding: 0.5rem;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}
.product-detail-content .search-product-item-list {
    cursor: default;
}
.search-product-item-list img{
    width: 90px;
}
.search-product-item-list .content{
    flex-grow: 1;
    font-size: 14px;
}
.search-product-item-list .content .table{
    margin-bottom: 0;
}
.search-product-item-list .content .table td{
    padding: 2px 4px;
}
.form-control-sm:not(textarea) {
    min-height: 27px !important;
    height: 27px !important;
}
#quotation-form .input-group-text {
    height: 27px !important;
}
#invoice-form .invoice-calculations .input-group-text, 
#quotation-form .invoice-calculations .input-group-text {
    width: 43px;
    justify-content: end;
}
#quotation-form .form-label {
    font-weight: bold;
    font-size: .75rem;
}
#quotation-form .sortable-list .sortable-chosen {
    border-color: var(--primary-color) !important;
}
#quotation-form hr {
    color: #e9ecee;
}
textarea + .tox-tinymce {
    border: 1px solid #dfe3e7 !important;
    box-shadow: none;
    border-radius: .25rem !important;
    outline: 0;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
textarea + .tox-tinymce.focused {
    color: #677788;
    background-color: #fff;
    border-color: var(--primary-color) !important;
    outline: 0;
    box-shadow: 0 .0625rem .1875rem 0 rgba(38,60,85,.18);
}
.tox-promotion,
.tox-statusbar__branding {
    display: none;
}
textarea.is-invalid + .tox-tinymce {
    border-color: var(--danger-color) !important;
}
.tox-tinymce .tox-toolbar__group {
    padding: 0 5px !important;
}
.tox-tinymce .tox-toolbar__group svg {
    transform: scale(0.9);
}
.card-qr {
    background: #fff;
    width: 350px;
    border-radius: 10px;
}
.card-qr .card-qr-header {
    padding: 0.75rem 1rem;
    text-align: center;
    background: var(--primary-color);
    color: #fff;
    border-radius: 10px 10px 0 0;
}
.card-qr .card-qr-header .card-qr-title {
    color: #fff;
    margin-bottom: 0;
}
.card-qr .card-qr-body {
    padding: 15px;
}
.card-qr .card-qr-body img{
    margin: 0 auto;
}
.card-qr .card-qr-body svg{
    margin: 0 auto;
}
.card-qr .card-qr-footer {
    padding: 0.75rem 1rem;
    text-align: center;
    border-radius: 0 0 10px 10px;
}
.row-detail {
    padding: 6px;
}
.row-detail-label {
    min-width: 130px;
}
.row-detail-value {
    display: flex;
    gap: 0.25rem;
}
.row-detail-value span:last-child {
    flex: 1;
}
.table-ro-detail tr,
.table-ro-detail th,
.table-ro-detail td,
div.dt-scroll-body .table-ro-detail tr,
div.dt-scroll-body .table-ro-detail th,
div.dt-scroll-body .table-ro-detail td {
    border-color: var(--light-color) !important;
    background: var(--light-light-color);
}
.table-vertical-center th,
div.dt-scroll-body .table-vertical-center th {
    vertical-align: middle;
}
.table-th-center th,
div.dt-scroll-body .table-th-center th {
    text-align: center;
}
.table-ro-detail th,
div.dt-scroll-body .table-ro-detail th {
    padding: 0 0.5rem !important;
    vertical-align: middle;
    text-align: center;
}
div.dt-scroll-body .table-detail > thead > tr > th {
    vertical-align: middle;
    text-align: center;
}
.table-vertical-top td,
#preference-table td,
#stock-balance-table td{
    vertical-align: top;
}
#preference-table td:not(.text-nowrap) {
    white-space: unset !important;
}
.qty-in {
    font-weight: bold;
    color: green;
}
.qty-out {
    font-weight: bold;
    color: red;
}
.bg-light-primary {
    background-color: var(--primary-light-color) !important;
}
.bg-light-secondary {
    background-color: var(--secondary-light-color) !important;
}
.bg-light-success {
    background-color: var(--success-light-color) !important;
}
.bg-light-warning {
    background-color: var(--warning-light-color) !important;
}
.bg-light-danger {
    background-color: var(--danger-light-color) !important;
}
.bg-light-info {
    background-color: var(--info-light-color) !important;
}
.bg-light-light {
    background-color: var(--light-light-color) !important;
}
.bg-light-dark {
    background-color: var(--dark-light-color) !important;
}
.list-stock-balance {
    border: 1px solid #dad8d8;
    border-radius: 0.25rem;
    margin: 0;
    padding: 0;
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    max-width: 450px;
}
.list-stock-balance li {
    border-bottom: 1px solid #dad8d8;
    padding: 3px 10px;
    display: flex;
    gap: 2px;
}
.list-stock-balance li:not(.text-muted)::before {
    content: "\ea50";
    font-weight: bold;
    font-family: boxicons!important;
}
.list-stock-balance li:last-child {
    border-bottom: none;
}
.list-step {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.list-step .line {
    display: flex;
}
.list-step .line .icon{
    border: 1px solid red;
    font-size: 24px;
}
.list-step .list-step-item a.list-step-item-link {
    color: var(--body-text-color);
    border: 1px solid red;
    display: block;
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
}
.list-step .list-step-item a.list-step-item-link .icon{
    font-size: 26px;
}
.table-prep-ingredient .invalid-feedback{
    margin: 0;
}
.table-po-detail .table-ro-detail {
    margin-bottom: 5px;
}
.table-po-detail .table-ro-detail td,
.table-po-detail .table-ro-detail th {
    font-size: 0.85rem;
}

@media (min-width: 576px) {
    /* sm */
    /* body {
        background: red !important;
    } */
}
@media (min-width: 768px) {
    /* md */
    /* body {
        background: purple !important;
    } */
}
@media (min-width: 992px) {
    /* lg */
    /* body {
        background: green !important;
    } */
}
@media (min-width: 1200px) {
    /* xl */
    /* body {
        background: yellow !important;
    } */
}
@media (min-width: 1400px) {
    /* xxl */
    /* body {
        background: blue !important;
    } */
}

.table.table-finance.dataTable.dtfc-scrolling-end,
.table.table-finance.dataTable.dtfc-scrolling-right,
.table.table-finance.dataTable.dtfc-scrolling-start,
.table.table-finance.dataTable.dtfc-scrolling-left {
    border-collapse: separate;
}
.table.table-finance.dataTable > thead > tr > th,
.table.table-finance.dataTable > tbody > tr > td {
    border: none;
    border-right: 1px solid #d4d8dd !important;
}
.table.table-finance.dataTable > thead > tr > th{
    border-top: 1px solid #d4d8dd !important;
}
.table.table-finance.dataTable > thead > tr > th:first-child,
.table.table-finance.dataTable > tbody > tr > td:first-child {
    border-left: 1px solid #d4d8dd !important;
}
.table.table-finance.dataTable > tbody > tr:last-child > td {
    border-bottom: 1px solid #d4d8dd !important;
}
.dt-scroll-body {
    border: none;
}
.card-applies-to {
    margin-bottom: 0 !important;
}
.card-applies-to .card-header,
.card-applies-to .card-body {
    display: block;
    padding: 0;
}
.card-applies-to .card-body.applies-content {
    padding: 0.5rem 0.735rem;
    border: 1px solid #d4d8dd;
}
.btn-float-impersonation {
    position: fixed;
    bottom: 10px;
    left: 12px;
    z-index: 999999;
}
.btn-float-impersonation .bx {
    font-size: 18px;
}